com.google.gwt.codegen.server

## Enum StringGenerator.Type

- java.lang.Object
- - java.lang.Enum<StringGenerator.Type>
  - - com.google.gwt.codegen.server.StringGenerator.Type

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<StringGenerator.Type>

Enclosing class:
  StringGenerator

    protected static enum StringGenerator.Type
    extends java.lang.Enum<StringGenerator.Type>

Type of expression being processed.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`LITERAL`
`OTHER`
`PRIMITIVE`
`SAFE`

### Method Summary

All Methods Static Methods Concrete Methods
`static StringGenerator.Type` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static StringGenerator.Type[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### LITERAL

    public static final StringGenerator.Type LITERAL

#### PRIMITIVE

    public static final StringGenerator.Type PRIMITIVE

#### SAFE

    public static final StringGenerator.Type SAFE

#### OTHER

    public static final StringGenerator.Type OTHER

### Method Detail

#### values

    public static StringGenerator.Type[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (StringGenerator.Type c : StringGenerator.Type.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static StringGenerator.Type valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null